package Test::MyApp::Memcached;
use strict;
use warnings;
use Proc::Guard qw/proc_gurad/;
use Test::TCP qw/empty_port/;
use File::Which qw/which/;

sub start_memd {
    my $port = empty_port();
    my $proc = proc_guard(
        scalar(which 'memcached'), '-p', $port);
    wait_port($port);
    return $proc, $port;
}

1;
