use Cache::Memcached::Fast;
use Test::More;
my $cache = Cache::Memcached::Fast->new({
    servers => [qw/remote:11211/],
});

my $key     = 'key';
my $value   = 'value';
my $expires = 60; # 60秒
my $rv = $cache->set($key, $value, $expires);
unless (defined $rv) {
    warn "set miss";
}
my $res = $cache->get($key),;
is $res, $value;
